/** CBlogRss 클래스 테스트 */
#include <stdio.h>
#include "brss.h"

int main(int argc, char* argv[])
{
	if(argc != 3)
	{
		printf("\nUSATE: test_bpRSS [url] [domain]\n");
		return 0;
	}

	char aszBuff[128];
	CBlogRss* pRSS = new CBlogRss;

	if(pRSS->GetData(argv[1], argv[2]) == false)
	{
		printf("Fail to get data[%d]\n", pRSS->GetErrorLine());
	}
	else
	{
		T_BlogInfo* pBlog = pRSS->GetBlogInfo();

		printf("Blog %s, %s, %s, %d [E:%d]\n", pBlog->aszTitle, pBlog->aszLink, pBlog->aszDesc, pRSS->GetPostCount(), pRSS->GetErrorLine());
	}

	for(int i = 0; i < pRSS->GetPostCount(); i++)
	{
		T_BlogPost* pPost = pRSS->GetBlogPost(i);
		sprintf(aszBuff, "%d-%02d-%02d %02d:%02d", pPost->tTime.nYear, pPost->tTime.nMonth, pPost->tTime.nDay, pPost->tTime.nHour, pPost->tTime.nMin);

		printf(" > post %d: %s (%s) @ %s\n", i+1, pPost->aszTitle, pPost->aszLink, aszBuff);
		//printf(" > %s\n", pPost->pszDescription);
	}

	delete pRSS;

	return 0;
}
